# jquery-tunable-radiobox

jQuery plugin for generating tunable checkboxes
and radiobuttons.

buttons generated using html5-canvas and css3.

you can change a view all elements of buttons by editing 
.css file and change options of plugin. 

# [DEMO](http://coldmind.github.com/jquery-tunable-radiobox/)

### usage:

        <link rel="stylesheet" href="jquery-tunable-radiobox.css">
        <script type="text/javascript" src="jquery-tunable-radiobox.js"></script>

and at bottom of the page:


	<script type="text/javascript">
	$('#container').radiobox({OPTIONS}, 'BUTTONS TEXT');
	</script>


you can get checked elements by using **getchecked** method:
	$('#container').radiobox('getchecked'); 

**getchecked** returns an array with values of checked buttons.

### OPTIONS:

* type:
**'checkbox'** or **'radio'**, required

* count: 
( **number** ), required
count of elements which will be generated

* width:
( **number** )
width of button

* height: 
( **number** )height of button

* time:
( **number** )
time of fadein checking animation

* fillColor:
( **string** )
color of checked element

* checked: 
( **array** ) 
list of prechecked elements

### BUTTON TEXT:
( **string** ) string with each button text

### example of initializing plugin with required options:

checkbox:


	<script type="text/javascript">
	$('#container').radiobox({
	    type  : 'checkbox',
	    count : 2
	}, 'text1 text2');
	</script>


radiobutton:

	<script type="text/javascript">
	$('#container').radiobox({
	    type  : 'radio',
	    count : 2
	}, 'text1 text2');
	</script>


### example of initializing plugin with all options:


	<script type="text/javascript">
	$('#container').radiobox({
	  type     : 'checkbox',
	  count    : 3,
	  width    : 14,
	  height   : 14,
	  fillColor: '#bb0000',
	  checked  : [0,2]
	}, 'element1 element2 element3');
	</script>
